<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\Kursplanung\TerminUebersicht;

class TerminUebersichtController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new TerminUebersichtUseCase(
      $this->getRequestObj()
    );
  }

  
  protected function getRequestObj()
  {
    $requestObj = new TerminUebersichtRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->seite = \GetOperations::getVarValue('seite');
    $requestObj->einstiegTermin = \GetOperations::isDefined('einstiegTermin');

    if ($requestObj->einstiegTermin) {
      
      
      $tool = TerminUebersichtUseCase::getToolId();
      $suchApi = new \KursplanungKurstagSucheAPI();
      $requestObj->suchParameterKurstage = $suchApi->getSearchParamsFromReq('tool' . $tool, 'searchkurstage');
    }
    $requestObj->aendereFilter = false;

    return $requestObj;
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new TerminUebersichtPresenter($pUseCaseResponse);
  }
}